/************************************************************************/
/* Copyright (C) 2008-2009 Markus Strobl <markus.strobl@gmx.at>         */
/*                                                                      */
/* cpupowerd is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* cpupowerd is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with GNU Emacs; see the file COPYING.  If not, write to        */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330,     */
/* Boston, MA 02111-1307, USA.                                          */
/************************************************************************/
/* $Id: cpu_linux.h 369 2009-01-01 13:05:07Z markus $                   */
/************************************************************************/


#ifndef CPU_LINUX_H
#define CPU_LINUX_H

/* Prototypes */
int cpu_linux_init(int (**ptr_cpu_get_load) (int, unsigned long long *, unsigned long long *, float *),
				   int (**ptr_cpu_get_laptop_mode) (int *),
				   int (**ptr_cpu_get_mastercpuids) (int *, int **, int *),
				   int (**ptr_cpu_get_affectedcpuids) (int, int **, int*),
				   int (**ptr_cpu_get_frequencies) (int, int **, int *),
				   int (**ptr_cpu_get_frequency) (int, int *),
				   int (**ptr_cpu_set_frequency) (int, int),
				   int (**ptr_cpu_get_governor) (int, char *, int),
				   int (**ptr_cpu_set_governor) (int, char *),
				   int (**ptr_cpu_tini) (void));

#endif
