/************************************************************************/
/* Copyright (C) 2008-2009 Markus Strobl <markus.strobl@gmx.at>         */
/*                                                                      */
/* cpupowerd is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* cpupowerd is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with GNU Emacs; see the file COPYING.  If not, write to        */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330,     */
/* Boston, MA 02111-1307, USA.                                          */
/************************************************************************/
/* $Id: msr_amd.h 369 2009-01-01 13:05:07Z markus $                     */
/************************************************************************/


#ifndef MSR_AMD_H
#define MSR_AMD_H

/* Prototypes */
int msr_amd_init(int (**ptr_msr_vid_to_voltage) (int, int, int, float *),
				 int (**ptr_msr_voltage_to_vid) (int, int, float, int *),
				 int (**ptr_msr_fid_to_frequency) (int, int, int, int *),
				 int (**ptr_msr_frequency_to_fid) (int, int, int, int *),
				 int (**ptr_msr_get_status) (int, int, char *, int *, int *),
				 int (**ptr_msr_set_status) (int, int, char *, int, int),
				 int (**ptr_msr_tini) (void));

#endif
